# Uses of Enum Class
org.eclipse.emf.cdo.common.revision.CDORevisionCrawler.ContainmentProxyStrategy

Packages that use CDORevisionCrawler.ContainmentProxyStrategy
Package
Description
org.eclipse.emf.cdo.common.revision
Common concepts for dealing with revisions and revision lists.
org.eclipse.emf.cdo.common.util
Common utility classes, some common interfaces and exceptions.

## Uses of CDORevisionCrawler.ContainmentProxyStrategy in org.eclipse.emf.cdo.common.revision

Methods in org.eclipse.emf.cdo.common.revision that return CDORevisionCrawler.ContainmentProxyStrategy
Modifier and Type
Method
Description
`CDORevisionCrawler.ContainmentProxyStrategy`
CDORevisionCrawler.`containmentProxyStrategy()`
Returns the current containment proxy strategy.
`static CDORevisionCrawler.ContainmentProxyStrategy`
CDORevisionCrawler.ContainmentProxyStrategy.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CDORevisionCrawler.ContainmentProxyStrategy[]`
CDORevisionCrawler.ContainmentProxyStrategy.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.eclipse.emf.cdo.common.revision with parameters of type CDORevisionCrawler.ContainmentProxyStrategy
Modifier and Type
Method
Description
`CDORevisionCrawler`
CDORevisionCrawler.`containmentProxyStrategy(CDORevisionCrawler.ContainmentProxyStrategy containmentProxyStrategy)`
Sets the containment proxy strategy.

## Uses of CDORevisionCrawler.ContainmentProxyStrategy in org.eclipse.emf.cdo.common.util

Methods in org.eclipse.emf.cdo.common.util that return CDORevisionCrawler.ContainmentProxyStrategy
Modifier and Type
Method
Description
`CDORevisionCrawler.ContainmentProxyStrategy`
EObjectCrawler.`containmentProxyStrategy()`
Methods in org.eclipse.emf.cdo.common.util with parameters of type CDORevisionCrawler.ContainmentProxyStrategy
Modifier and Type
Method
Description
`EObjectCrawler`
EObjectCrawler.`containmentProxyStrategy(CDORevisionCrawler.ContainmentProxyStrategy containmentProxyStrategy)`